@import url('https://fonts.googleapis.com/css?family=Oswald|Raleway');

:root {
    --color-bg: rgb(17, 17, 17);
    --color-text: white;
    --color-header: rgb(48, 0, 0);
    --color-header-border: rgb(64, 0, 0);
    --color-text-up: rgb(255, 141, 0);
    --color-gradiente-ficha: linear-gradient(0deg,rgba(50, 0, 0, 1) 0%, rgb(226, 124, 0) 100%);

    --font-normal: "Raleway", arial;
    --font-especial: "Oswald", Impact;

    font-size: 14px;
    font-family: var(--font-normal);
}

body {
    background-color: var(--color-bg);
    color: var(--color-text);
}

i, em {
    font-style: italic;
}

b, strong {
    font-weight: bold;
    color: var(--color-text-up);
}

.cabecera {
    background-color: var(--color-header);
    border-bottom: 1em solid var(--color-header-border);
    color: var(--color-text);
    padding: 1em;

    display: flex;
    justify-content: space-between;
}

nav {
    display: flex;
    align-items: center;
    font-size: 1.25rem;

    ul {
        display: flex;
        gap: 0.5em;

        a {
            text-decoration: none;
            color: var(--color-text);
            padding: 0.5em;
            border-radius: 0.5em;
        }

    }
}

.menu__enlace--sel {
    background-color: var(--color-text);
    color: var(--color-header);
}


.pie {
    border-top: 1px solid var(--color-text-up);
    padding: 1em;
    display: flex;
    justify-content: space-between;
    align-items: center;

    & a {
        color: var(--color-text-up);
    }
}

.pie__logo {
    height: 3em;
}

.pie__copyright {
    color: var(--color-text-up);
}

.main {
    padding: 1em;
}

h1 {
    font-family: var(--font-especial);
    font-size: 3em;
    padding: 0.5em 0.5em 0.5em 0;
}

.games {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2em;
}

.game {
    padding: 1em;
    border-radius: 1em;
    border: 3px solid var(--color-bg);
}

.game:hover, .game:focus-within {
    background-color: var(--color-header-border);
    border-color: var(--color-text-up);
    background: var(--color-gradiente-ficha);
}

.game__container {
    text-decoration: none;
    color: var(--color-text);
    text-align: center;
}

.game__container:focus {
    outline: none;
}

.game__image {
    border-radius: 100%;
    margin-bottom: 1em;
    border: 0.5ch solid black;
}

.game__title {
    font-family: var(--font-especial);
    font-size: 2em;
    line-height: 1.5em;
}

.game__systems {
    padding: 0.5em;
    padding: 1em;
    color: var(--color-text-up);

    li {
        padding: 0.5em;
    }
}

/* ---------------------------- */


.gamecardcontainer {
    max-width: 1200px;
    margin: 0 auto;

    & a[target="_blank"]::after {
    content: " \01F4CC";
    }
}

.banner {
    width: 100%;
    object-fit: contain;
    object-position: 50% 50%;
    border-radius: 1em;
    outline: 1em solid rgba(0, 0, 0, 0.5);
    outline-offset: -1em;
}

/* ---------------------------- */

.gamecarderror {
    & p {
        font-size: 2em;
        line-height: 2em;
    }

    & a {
        color: var(--color-text-up);
    }

    & .emoji {
        font-size: 4em;
        float: left;
        padding-right: 1rem;
    }
}


